#include "bits/stdc++.h"

using namespace std;

// Deklarujemy wektor, który wypełnimy liczbami o sumie cyfr 9.
vector <long long> liczby_suma9;

// Funkcja generująca liczby o sumie cyfr 9, mniejszych od N.
// Aktualnie rozpatrywana liczba to `liczba`, o sumie cyfr `suma\_cyfr`.
// Liczby zapisywane są w tablicy `liczby\_suma9`.
void GenerujSuma9(long long liczba, int suma_cyfr, long long N) {
  // Jeżeli liczba jest większa niż N, to wychodzimy z funkcji.
  if (liczba > N) return;
  // Jeżeli suma cyfr wynosi 9, to dopisujemy liczbę do listy.
  if (suma_cyfr == 9) liczby_suma9.push_back(liczba);
  // Próbujemy dopisać nową cyfrę do już utworzonej liczby.
  // Możemy ograniczyć się do cyfr z przedziału [0, 9-suma\_cyfr].
  for (int nowa_cyfra=0; nowa_cyfra<=9-suma_cyfr; nowa_cyfra++) {
    // Dodatkowy warunek, abyśmy nie próbowali stworzyć liczb typu 0000000.
    if (liczba == 0 and nowa_cyfra == 0) continue;
    // Dodajemy do liczby cyfrę na koniec
    long long nowa_liczba = 10 * liczba + nowa_cyfra;
    // i zwiększamy sumę cyfr,
    int nowa_suma_cyfr = suma_cyfr + nowa_cyfra;
    // po czym wywołujemy funkcję rekurencyjnie.
    GenerujSuma9(nowa_liczba, nowa_suma_cyfr, N);
  }
}

int main() {
  // Wczytujemy ograniczenie górne.
  long long N;
  cin >> N;
  // Wywołujemy rekurencyjną funkcję, która szuka liczb o sumie cyfr 9.
  GenerujSuma9(0, 0, N);

  // Deklarujemy wektor na liczby pechowe.
  vector <long long> liczby_pechowe;
  // Dla każdej liczby o sumie cyfr 9,
  for (int i=0; i<(int)liczby_suma9.size(); i++) {
    long long liczba = liczby_suma9[i];
    // wstawiamy "13" w każde możliwe miejsce,
    long long div = 1;
    // o ile mieścimy się w limicie,
    while (liczba + 13 * div <= N) {
      // oraz te miejsce jest wypełnione zerami.
      if (liczba / div % 100 == 0) {
        liczby_pechowe.push_back(liczba + 13 * div);
      }
      div *= 10;
    }
  }

  // Jako że liczby utworzone wyżej mogą się powtarzać, to usuwamy duplikaty.
  sort(liczby_pechowe.begin(), liczby_pechowe.end());
  liczby_pechowe.erase(
    unique(liczby_pechowe.begin(), liczby_pechowe.end()),
    liczby_pechowe.end());

  // Finalnie wypisujemy liczby pechowe.
  cout << liczby_pechowe.size() << "\n";
}
